# nachhaltiges-lernen-chatbot


## Getting started
Folgende Schritte müssen durchgeführt werden:
 - [ ] Überprüfen der Ports
 - [ ] Überprüfen der IP
 - [ ] Erstellen eines Slash-Befehls in Mattermost
 - [ ] Erstellen eines eingehenden Webhooks in Mattermost
 - [ ] Anpassen der Datei editable_config.json um den erstellten eingehenden Webhook in Mattermost erreichen zu können
 - [ ] Starten von RASA Core und RASA Action Server

##  Überprüfen der Ports
Im Allgemeinen müssen die Ports nicht angepasst werden, außer es laufen bereits andere Anwendungen darunter.
RASA: 
 - [ ] Standardmäßig ist hier der Port 5007 eingestellt und ist an 2 Stellen anpassbar
 - [ ] Datei editable_config.json unter dem key rasa_webhook_url muss der Port in "http://<IP>:<PORT>/webhooks/mattermostConnector/webhook" eingefügt werden.
 - [ ] Beim Starten von RASA muss der Port mit -p 5007 angehängt werden:
```
rasa run --enable-api --cors '*' -p 5007
```
## Überprüfen der IP
Wenn sowohl RASA als auch Mattermost auf dem gleichen System laufen, dann reicht "localhost" als IP. 
Ansonsten muss in der Datei editable_config.json die IP angegeben werden, auf der das entsprechende System läuft und erreichbar ist.

## Erstellen eines Slash-Befehls in Mattermost
Siehe Tutorial unter tutorials/Tutorial für die Erstellung eines SlashBefehls.doc

## Erstellen eines eingehenden Webhooks in Mattermost
Siehe Tutorial unter tutorials/Tutorial für die Erstellung eines eingehenden Webhooks.doc

Das im Bestätigungsbildschirm erhaltene Token kopieren für das
## Anpassen der Datei editable_config.json
Token an die Stelle des Tokens von mattermost_webhook_url kopieren:
```
"mattermost_webhook_url" : "http://localhost:8065/hooks/<TOKEN>"
```

## Starten von RASA Core und RASA Action Server
Benötigt werden RASA Version 3.0.0 und Python 3.7

Beim Starten der beiden RASA Systeme muss der Port mit -p übergeben werden:
```
rasa run --enable-api --cors '*' -p 5007
```

Hinweis: Sollten der Action Server und RASA Core nicht auf dem gleichen System laufen, muss die Datei endpoints.yml auf die entsprechende IP und Port angepasst werden.
```
rasa run actions -p 5057
```